import { jsx as _jsx } from "react/jsx-runtime";
import { Alert } from '@mui/material';
const SEVERITY_MAP = {
    urgent: 'error',
    warning: 'warning',
    success: 'success',
    info: 'info'
};
export default function AlertBanner(props) {
    const { id, variant, messages, onDismiss } = props;
    let additionalProps = {};
    if (onDismiss) {
        additionalProps = {
            onClose: onDismiss
        };
    }
    return (_jsx("div", { id: id, children: messages.map(message => (_jsx(Alert, { variant: 'outlined', severity: SEVERITY_MAP[variant], ...additionalProps, children: message }, message))) }));
}
//# sourceMappingURL=AlertBanner.js.map