import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from 'react';
import Grid from '@mui/material/Grid';
import makeStyles from '@mui/styles/makeStyles';
import KeyboardArrowRightIcon from '@mui/icons-material/KeyboardArrowRight';
import KeyboardArrowDownIcon from '@mui/icons-material/KeyboardArrowDown';
const useStyles = makeStyles(theme => ({
    root: {
        marginRight: theme.spacing(1),
        marginLeft: theme.spacing(1),
        marginTop: theme.spacing(1),
        marginBottom: theme.spacing(1)
    },
    fieldMargin: {
        paddingTop: theme.spacing(1),
        paddingBottom: theme.spacing(1),
        marginTop: theme.spacing(1)
    },
    fullWidth: {
        width: '100%'
    },
    fieldGroupHeader: {
        display: 'flex',
        alignItems: 'center',
        gap: '5px',
        cursor: collapsible => (collapsible ? 'pointer' : 'auto')
    },
    instructionText: {
        padding: '5px 0'
    }
}));
export default function FieldGroup(props) {
    const { children, name, collapsible = false, instructions } = props;
    const classes = useStyles(collapsible);
    const [collapsed, setCollapsed] = useState(false);
    const descAndChildren = (_jsx(Grid, { container: true, children: _jsx("div", { className: classes.fullWidth, children: children }) }));
    const headerClickHandler = () => {
        setCollapsed(current => !current);
    };
    return (_jsx(Grid, { container: true, spacing: 4, justifyContent: 'space-between', children: _jsxs(Grid, { item: true, style: { width: '100%' }, children: [name && (_jsx("div", { className: classes.fieldMargin, children: collapsible ? (_jsxs("span", { id: 'field-group-header', className: classes.fieldGroupHeader, onClick: headerClickHandler, children: [collapsed ? _jsx(KeyboardArrowRightIcon, {}) : _jsx(KeyboardArrowDownIcon, {}), _jsx("b", { children: name })] })) : (_jsx("b", { children: name })) })), instructions && instructions !== 'none' && (
                // eslint-disable-next-line react/no-danger
                _jsx("div", { className: classes.instructionText, dangerouslySetInnerHTML: { __html: instructions } }, 'instructions')), !collapsed && descAndChildren] }) }));
}
//# sourceMappingURL=FieldGroup.js.map