import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import Grid from '@mui/material/Grid';
import Typography from '@mui/material/Typography';
import makeStyles from '@mui/styles/makeStyles';
const useStyles = makeStyles(theme => ({
    root: {
        marginRight: theme.spacing(1),
        marginLeft: theme.spacing(1),
        marginTop: theme.spacing(1),
        marginBottom: theme.spacing(1)
    },
    fieldLabel: {
        fontWeight: 400,
        color: theme.palette.text.secondary
    },
    fieldValue: {
        color: theme.palette.text.primary
    },
    noPaddingTop: {
        paddingTop: '0 !important'
    },
    noPaddingBottom: {
        paddingBottom: '0 !important'
    }
}));
function formatItemValue(value) {
    let formattedVal = value;
    // if the value is undefined or an empty string, we want to display it as "---"
    if (formattedVal === undefined || formattedVal === '') {
        formattedVal = '---';
    }
    return formattedVal;
}
export default function FieldValueList(props) {
    const { name, value, variant = 'inline', isHtml = false } = props;
    const classes = useStyles();
    function getGridItemLabel() {
        return (_jsx(Grid, { item: true, xs: variant === 'stacked' ? 12 : 4, className: variant === 'stacked' ? classes.noPaddingBottom : '', children: _jsx(Typography, { variant: 'body2', component: 'span', className: `${classes.fieldLabel}`, children: name }) }));
    }
    function getGridItemValue() {
        const formattedValue = formatItemValue(value);
        return (_jsx(Grid, { item: true, xs: variant === 'stacked' ? 12 : 8, className: variant === 'stacked' ? classes.noPaddingTop : '', children: isHtml ? (
            // eslint-disable-next-line react/no-danger
            _jsx("div", { dangerouslySetInnerHTML: { __html: formattedValue } })) : (_jsx(Typography, { variant: variant === 'stacked' ? 'h6' : 'body2', component: 'span', className: classes.fieldValue, children: formattedValue })) }));
    }
    return (_jsxs(Grid, { container: true, spacing: 4, justifyContent: 'space-between', children: [getGridItemLabel(), getGridItemValue()] }));
}
//# sourceMappingURL=FieldValueList.js.map