import { jsx as _jsx } from "react/jsx-runtime";
import { useMemo } from 'react';
import { Grid } from '@mui/material';
import FieldGroup from '../../designSystemExtension/FieldGroup';
export default function Group(props) {
    const { children, heading, showHeading, instructions, collapsible, displayMode, type } = props;
    const isReadOnly = displayMode === 'DISPLAY_ONLY';
    const content = useMemo(() => {
        return (_jsx(Grid, { container: true, spacing: 2, children: children?.map(child => (_jsx(Grid, { item: true, xs: 12, children: child }, child.key))) }));
    }, [children, type, isReadOnly]);
    if (!children)
        return null;
    return (_jsx(FieldGroup, { name: showHeading ? heading : undefined, collapsible: collapsible, instructions: instructions, children: content }));
}
//# sourceMappingURL=Group.js.map