import { jsx as _jsx } from "react/jsx-runtime";
/* eslint-disable react/no-array-index-key */
import { getComponentFromMap } from '../../../bridge/helpers/sdk_component_map';
function CommaSeparatedList(props) {
    const { items } = props;
    return (_jsx("ul", { style: { padding: '0', margin: '0' }, children: items.map((value, index) => {
            return _jsx("span", { children: value }, index);
        }) }));
}
export default function ScalarList(props) {
    // Get emitted components from map (so we can get any override that may exist)
    const FieldValueList = getComponentFromMap('FieldValueList');
    const { label, getPConnect, componentType, value: scalarValues, displayMode, hideLabel, ...restProps } = props;
    const items = scalarValues?.map(scalarValue => {
        return getPConnect().createComponent({
            type: componentType,
            config: {
                // @ts-ignore - Type '{ readOnly: true; displayInModal: boolean; value: any; displayMode: string; label: string; }' is not assignable to type 'ComponentMetadataConfig'.
                value: scalarValue,
                displayMode: 'DISPLAY_ONLY',
                label,
                ...restProps,
                // @ts-ignore - Type 'string' is not assignable to type 'boolean | undefined'.
                readOnly: 'true'
            }
        }, '', '', {}); // 2nd, 3rd, and 4th args empty string/object/null until typedef marked correctly as optional;
    });
    if (['STACKED_LARGE_VAL', 'DISPLAY_ONLY'].includes(displayMode)) {
        return (_jsx("div", { children: _jsx(CommaSeparatedList, { items: items }) }));
    }
    const displayComp = _jsx(CommaSeparatedList, { items: items });
    return _jsx(FieldValueList, { name: hideLabel ? '' : label, value: displayComp, variant: 'stacked' });
}
//# sourceMappingURL=ScalarList.js.map