/* eslint-disable no-template-curly-in-string */
const EURO = {
    name: 'Euro (EUR)',
    symbolFormat: '\u20AC{#}',
    currencyCode: 'EUR {#}'
};
const USD = {
    name: 'U.S. Dollar (USD)',
    symbolFormat: '${#}',
    currencyCode: 'USD {#}'
};
const XAF = {
    name: 'CFA Franc (BEAC) (XAF)',
    symbolFormat: 'XAF {#}',
    currencyCode: 'XAF {#}'
};
const XCD = {
    name: 'East Caribbean Dollar (XCD)',
    symbolFormat: '${#}',
    currencyCode: 'XCD {#}'
};
const XPF = {
    name: 'Pacific Franc (XPF)',
    symbolFormat: '₣{#}',
    currencyCode: 'XPF {#}'
};
export default {
    AF: {
        name: 'Afghanistan Afghani (AFA)',
        symbolFormat: '{#} ؋',
        currencyCode: 'AFA {#}'
    },
    AL: {
        name: 'Albanian Lek (ALL)',
        symbolFormat: '{#} L',
        currencyCode: 'ALL {#}'
    },
    DZ: {
        name: 'Algerian Dinar (DZD)',
        symbolFormat: '{#} DA',
        currencyCode: 'DZD {#}'
    },
    AO: {
        name: 'Angolan New Kwanza (AOA)',
        symbolFormat: '{#} Kz',
        currencyCode: 'AOA {#}'
    },
    AR: {
        name: 'Argentine Peso (ARS)',
        symbolFormat: '${#}',
        currencyCode: 'ARS {#}'
    },
    AM: {
        name: 'Armenian Dram (AMD)',
        symbolFormat: '{#}֏',
        currencyCode: 'AMD {#}'
    },
    AW: {
        name: 'Aruba Florin (AWG)',
        symbolFormat: 'Afl {#}',
        currencyCode: 'AWG {#}'
    },
    AU: {
        name: 'Australian Dollar (AUD)',
        symbolFormat: 'AU${#}',
        currencyCode: 'AUD {#}'
    },
    AZ: {
        name: 'Azerbaijani Manat (AZM)',
        symbolFormat: '₼{#}',
        currencyCode: 'AZM {#}'
    },
    BS: {
        name: 'Bahamian Dollar (BSD)',
        symbolFormat: 'B${#}',
        currencyCode: 'BSD {#}'
    },
    BH: {
        name: 'Bahraini Dinar (BHD)',
        symbolFormat: '{#} BD',
        currencyCode: 'BHD {#}'
    },
    BD: {
        name: 'Bangladesh Taka (BDT)',
        symbolFormat: '৳{#}',
        currencyCode: 'BDT {#}'
    },
    BB: {
        name: 'Barbados Dollar (BBD)',
        symbolFormat: 'Bds${#}',
        currencyCode: 'BBD {#}'
    },
    BY: {
        name: 'Belarus Ruble (BYR)',
        symbolFormat: 'Br {#}',
        currencyCode: 'BYR {#}'
    },
    BZ: {
        name: 'Belize Dollar (BZD)',
        symbolFormat: 'BZ${#}',
        currencyCode: 'BZD {#}'
    },
    BM: {
        name: 'Bermuda Dollar (BMD)',
        symbolFormat: '${#}',
        currencyCode: 'BMD {#}'
    },
    BT: {
        name: 'Bhutan Ngultrum (BTN)',
        symbolFormat: 'Nu.{#}',
        currencyCode: 'BTN {#}'
    },
    BO: {
        name: 'Bolivian Boliviano (BOB)',
        symbolFormat: 'Bs. {#}',
        currencyCode: 'BOB {#}'
    },
    BA: {
        name: 'Bosnian Marka (BAM)',
        symbolFormat: '{#} KM',
        currencyCode: 'BAM {#}'
    },
    BW: {
        name: 'Botswana Pula (BWP)',
        symbolFormat: 'P {#}',
        currencyCode: 'BWP {#}'
    },
    BR: {
        name: 'Brazilian Real (BRL)',
        symbolFormat: 'R${#}',
        currencyCode: 'BRL {#}'
    },
    GB: {
        name: 'British Pound (GBP)',
        symbolFormat: '\xA3{#}',
        currencyCode: 'GBP {#}'
    },
    BN: {
        name: 'Brunei Dollar (BND)',
        symbolFormat: 'B${#}',
        currencyCode: 'BND {#}'
    },
    BG: {
        name: 'Bulgarian Lev (BGN)',
        symbolFormat: 'BGN {#}',
        currencyCode: 'BGN {#}'
    },
    BI: {
        name: 'Burundi Franc (BIF)',
        symbolFormat: '{#} FBu',
        currencyCode: 'BIF {#}'
    },
    KH: {
        name: 'Cambodia Riel (KHR)',
        symbolFormat: 'KHR {#}',
        currencyCode: 'KHR {#}'
    },
    CA: {
        name: 'Canadian Dollar (CAD)',
        symbolFormat: 'C${#}',
        currencyCode: 'CAD {#}'
    },
    CV: {
        name: 'Cape Verde Escudo (CVE)',
        symbolFormat: '{#} CVE',
        currencyCode: 'CVE {#}'
    },
    KYD: {
        name: 'Cayman Islands Dollar (KYD)',
        symbolFormat: 'CI${#}',
        currencyCode: ' {#}'
    },
    XO: {
        name: 'CFA Franc (BCEAO) (XOF)',
        symbolFormat: 'XOF {#}',
        currencyCode: 'XOF {#}'
    },
    XA: XAF,
    BJ: XAF,
    BF: XAF,
    CM: XAF,
    CF: XAF,
    TD: XAF,
    CG: XAF,
    CI: XAF,
    GQ: XAF,
    GA: XAF,
    GW: XAF,
    ML: XAF,
    NE: XAF,
    SN: XAF,
    TG: XAF,
    CL: {
        name: 'Chilean Peso (CLP)',
        symbolFormat: 'CLP${#}',
        currencyCode: 'CLP {#}'
    },
    CN: {
        name: 'Chinese Yuan (CNY)',
        symbolFormat: '¥{#}',
        currencyCode: 'CNY {#}'
    },
    CO: {
        name: 'Colombian Peso (COP)',
        symbolFormat: 'COL${#}',
        currencyCode: 'COP {#}'
    },
    KM: {
        name: 'Comoros Franc (KMF)',
        symbolFormat: 'CF {#}',
        currencyCode: 'KMF {#}'
    },
    CD: {
        name: 'Congolese Franc (CDF)',
        symbolFormat: 'FC {#}',
        currencyCode: 'CDF {#}'
    },
    CR: {
        name: 'Costa Rica Colon (CRC)',
        symbolFormat: '₡{#}',
        currencyCode: 'CRC {#}'
    },
    HR: {
        name: 'Croatian Kuna (HRK)',
        symbolFormat: '{#} kn',
        currencyCode: 'HRK {#}'
    },
    CU: {
        name: 'Cuban Peso (CUP)',
        symbolFormat: '${#}',
        currencyCode: 'CUP {#}'
    },
    CZ: {
        name: 'Czech Koruna (CZK)',
        symbolFormat: '{#} Kč',
        currencyCode: 'CZK {#}'
    },
    DK: {
        name: 'Danish Krone (DKK)',
        symbolFormat: '{#} Kr.',
        currencyCode: 'DKK {#}'
    },
    DJ: {
        name: 'Dijibouti Franc (DJF)',
        symbolFormat: '{#} Fdj',
        currencyCode: 'DJF {#}'
    },
    DO: {
        name: 'Dominican Peso (DOP)',
        symbolFormat: 'RD${#}',
        currencyCode: 'DOP {#}'
    },
    AI: XCD,
    AG: XCD,
    DM: XCD,
    GD: XCD,
    MS: XCD,
    KN: XCD,
    LC: XCD,
    VC: XCD,
    EG: {
        name: 'Egyptian Pound (EGP)',
        symbolFormat: 'E\xA3 {#}',
        currencyCode: 'EGP {#}'
    },
    SV: {
        name: 'El Salvador Colon (SVC)',
        symbolFormat: '₡{#}',
        currencyCode: 'SVC {#}'
    },
    ER: {
        name: 'Eritrea Nakfa (ERN)',
        symbolFormat: '{#} Nkf',
        currencyCode: 'ERN {#}'
    },
    ET: {
        name: 'Ethiopian Birr (ETB)',
        symbolFormat: '{#} Br',
        currencyCode: 'ETB {#}'
    },
    FK: {
        name: 'Falkland Islands Pound (FKP)',
        symbolFormat: 'FK\xA3 {#}',
        currencyCode: 'FKP {#}'
    },
    FJ: {
        name: 'Fiji Dollar (FJD)',
        symbolFormat: 'FJ${#}',
        currencyCode: 'FJD {#}'
    },
    GM: {
        name: 'Gambian Dalasi (GMD)',
        symbolFormat: 'GMD {#}',
        currencyCode: 'GMD {#}'
    },
    GE: {
        name: 'Georgian Lari (GEL)',
        symbolFormat: '₾{#}',
        currencyCode: 'GEL {#}'
    },
    GH: {
        name: 'Ghanian Cedi (GHC)',
        symbolFormat: 'GH₵ {#}',
        currencyCode: 'GHC {#}'
    },
    GI: {
        name: 'Gibraltar Pound (GIP)',
        symbolFormat: '\xA3{#}',
        currencyCode: 'GIP {#}'
    },
    XAU: {
        name: 'Gold Ounces (XAU)',
        symbolFormat: 'XAU {#}',
        currencyCode: 'XAU {#}'
    },
    GT: {
        name: 'Guatemala Quetzal (GTQ)',
        symbolFormat: '{#} Q',
        currencyCode: 'GTQ {#}'
    },
    GG: {
        name: 'Guernsey Pound (GGP)',
        symbolFormat: '\xA3{#}',
        currencyCode: 'GGP {#}'
    },
    GN: {
        name: 'Guinea Franc (GNF)',
        symbolFormat: 'GNF {#}',
        currencyCode: 'GNF {#}'
    },
    GY: {
        name: 'Guyana Dollar (GYD)',
        symbolFormat: 'GY${#}',
        currencyCode: 'GYD {#}'
    },
    HN: {
        name: 'Honduras Lempira (HNL)',
        symbolFormat: 'HNL {#}',
        currencyCode: 'HNL {#}'
    },
    HK: {
        name: 'Hong Kong Dollar (HKD)',
        symbolFormat: 'HK${#}',
        currencyCode: 'HKD {#}'
    },
    HU: {
        name: 'Hungarian Forint (HUF)',
        symbolFormat: '{#} Ft',
        currencyCode: 'HUF {#}'
    },
    IS: {
        name: 'Iceland Krona (ISK)',
        symbolFormat: '{#} kr',
        currencyCode: 'ISK {#}'
    },
    IN: {
        name: 'Indian Rupee (INR)',
        symbolFormat: '₹{#}',
        currencyCode: 'INR {#}'
    },
    ID: {
        name: 'Indonesian Rupiah (IDR)',
        symbolFormat: 'Rp {#}',
        currencyCode: 'IDR {#}'
    },
    IR: {
        name: 'Iran Rial (IRR)',
        symbolFormat: 'IRR {#}',
        currencyCode: 'IRR {#}'
    },
    IQ: {
        name: 'Iraqi Dinar (IQD)',
        symbolFormat: 'IQD {#}',
        currencyCode: 'IQD {#}'
    },
    IM: {
        name: 'Isle of Man Pound (IMP)',
        symbolFormat: '\xA3{#}',
        currencyCode: 'IMP {#}'
    },
    IL: {
        name: 'Israeli Shekel (ILS)',
        symbolFormat: '₪{#}',
        currencyCode: 'ILS {#}'
    },
    JM: {
        name: 'Jamaican Dollar (JMD)',
        symbolFormat: 'JA${#}',
        currencyCode: 'JMD {#}'
    },
    JP: {
        name: 'Japanese Yen (JPY)',
        symbolFormat: '\xA5{#}',
        currencyCode: 'JPY {#}'
    },
    JEP: {
        name: 'Jersey Pound (JEP)',
        symbolFormat: '\xA3{#}',
        currencyCode: 'JEP {#}'
    },
    JO: {
        name: 'Jordanian Dinar (JOD)',
        symbolFormat: 'JOD {#}',
        currencyCode: 'JOD {#}'
    },
    KZ: {
        name: 'Kazakhstan Tenge (KZT)',
        symbolFormat: '₸{#}',
        currencyCode: 'KZT {#}'
    },
    KE: {
        name: 'Kenyan Shilling (KES)',
        symbolFormat: 'KSh {#}',
        currencyCode: 'KES {#}'
    },
    KR: {
        name: 'Korean Won (KRW)',
        symbolFormat: '₩{#}',
        currencyCode: 'KRW {#}'
    },
    KW: {
        name: 'Kuwaiti Dinar (KWD)',
        symbolFormat: '{#} KD',
        currencyCode: 'KWD {#}'
    },
    KG: {
        name: 'Kyrgyzstan Som (KGS)',
        symbolFormat: 'KGS {#}',
        currencyCode: 'KGS {#}'
    },
    LA: {
        name: 'Lao Kip (LAK)',
        symbolFormat: '₭{#}',
        currencyCode: 'LAK {#}'
    },
    LB: {
        name: 'Lebanese Pound (LBP)',
        symbolFormat: 'LBP {#}',
        currencyCode: 'LBP {#}'
    },
    LS: {
        name: 'Lesotho Rand (ZAR)',
        symbolFormat: 'R{#}',
        currencyCode: 'ZAR {#}'
    },
    LR: {
        name: 'Liberian Dollar (LRD)',
        symbolFormat: 'L${#}',
        currencyCode: 'LRD {#}'
    },
    LY: {
        name: 'Libyan Dinar (LYD)',
        symbolFormat: '{#} LD',
        currencyCode: 'LYD {#}'
    },
    MO: {
        name: 'Macau Pataca (MOP)',
        symbolFormat: 'MOP${#}',
        currencyCode: 'MOP {#}'
    },
    MK: {
        name: 'Macedonian Denar (MKD)',
        symbolFormat: 'MKD {#}',
        currencyCode: 'MKD {#}'
    },
    MG: {
        name: 'Malagasy Franc (MGF)',
        symbolFormat: 'MGF {#}',
        currencyCode: 'MGF {#}'
    },
    MW: {
        name: 'Malawi Kwacha (MWK)',
        symbolFormat: 'MK {#}',
        currencyCode: 'MWK {#}'
    },
    MY: {
        name: 'Malaysian Ringgit (MYR)',
        symbolFormat: 'RM {#}',
        currencyCode: 'MYR {#}'
    },
    MV: {
        name: 'Maldives Rufiyaa (MVR)',
        symbolFormat: 'MVR {#}',
        currencyCode: 'MVR {#}'
    },
    MR: {
        name: 'Mauritania Ougulya (MRO)',
        symbolFormat: 'MRO {#}',
        currencyCode: 'MRO {#}'
    },
    MU: {
        name: 'Mauritius Rupee (MUR)',
        symbolFormat: 'Rs {#}',
        currencyCode: 'MUR {#}'
    },
    MX: {
        name: 'Mexican Peso (MXN)',
        symbolFormat: '${#}',
        currencyCode: 'MXN {#}'
    },
    MD: {
        name: 'Moldovan Leu (MDL)',
        symbolFormat: 'MDL {#}',
        currencyCode: 'MDL {#}'
    },
    MN: {
        name: 'Mongolian Tugrik (MNT)',
        symbolFormat: 'MNT {#}',
        currencyCode: 'MNT {#}'
    },
    MA: {
        name: 'Moroccan Dirham (MAD)',
        symbolFormat: 'MAD {#}',
        currencyCode: 'MAD {#}'
    },
    MZ: {
        name: 'Mozambique Metical (MZM)',
        symbolFormat: 'MZM {#}',
        currencyCode: 'MZM {#}'
    },
    MM: {
        name: 'Myanmar Kyat (MMK)',
        symbolFormat: 'K{#}',
        currencyCode: 'MMK {#}'
    },
    NA: {
        name: 'Namibian Dollar (NAD)',
        symbolFormat: 'N${#}',
        currencyCode: 'NAD {#}'
    },
    NP: {
        name: 'Nepalese Rupee (NPR)',
        symbolFormat: 'रू{#}',
        currencyCode: 'NPR {#}'
    },
    AN: {
        name: 'Neth Antilles Guilder (ANG)',
        symbolFormat: 'ƒ{#}',
        currencyCode: 'ANG {#}'
    },
    NZ: {
        name: 'New Zealand Dollar (NZD)',
        symbolFormat: 'NZ${#}',
        currencyCode: 'NZD {#}'
    },
    CK: {
        name: 'New Zealand Dollar (NZD)',
        symbolFormat: 'NZ${#}',
        currencyCode: 'NZD {#}'
    },
    NU: {
        name: 'New Zealand Dollar (NZD)',
        symbolFormat: 'NZ${#}',
        currencyCode: 'NZD {#}'
    },
    PN: {
        name: 'New Zealand Dollar (NZD)',
        symbolFormat: 'NZ${#}',
        currencyCode: 'NZD {#}'
    },
    NI: {
        name: 'Nicaragua Cordoba (NIO)',
        symbolFormat: 'C${#}',
        currencyCode: 'NIO {#}'
    },
    NG: {
        name: 'Nigerian Naira (NGN)',
        symbolFormat: '₦{#}',
        currencyCode: 'NGN {#}'
    },
    KP: {
        name: 'North Korean Won (KPW)',
        symbolFormat: '₩{#}',
        currencyCode: 'KPW {#}'
    },
    NO: {
        name: 'Norwegian Krone (NOK)',
        symbolFormat: '{#} kr',
        currencyCode: 'NOK {#}'
    },
    OM: {
        name: 'Omani Rial (OMR)',
        symbolFormat: 'OMR {#}',
        currencyCode: 'OMR {#}'
    },
    PF: XPF,
    NC: XPF,
    WF: XPF,
    PK: {
        name: 'Pakistani Rupee (PKR)',
        symbolFormat: 'Rs {#}',
        currencyCode: 'PKR {#}'
    },
    XPD: {
        name: 'Palladium Ounces (XPD)',
        symbolFormat: 'XPD {#}',
        currencyCode: 'XPD {#}'
    },
    PA: {
        name: 'Panama Balboa (PAB)',
        symbolFormat: 'B/. {#}',
        currencyCode: 'PAB {#}'
    },
    PG: {
        name: 'Papua New Guinea Kina (PGK)',
        symbolFormat: 'K {#}',
        currencyCode: 'PGK {#}'
    },
    PY: {
        name: 'Paraguayan Guarani (PYG)',
        symbolFormat: '₲{#}',
        currencyCode: 'PYG {#}'
    },
    PE: {
        name: 'Peruvian Nuevo Sol (PEN)',
        symbolFormat: 'S/{#}',
        currencyCode: 'PEN {#}'
    },
    PH: {
        name: 'Philippine Peso (PHP)',
        symbolFormat: '₱{#}',
        currencyCode: 'PHP {#}'
    },
    XPT: {
        name: 'Platinum Ounces (XPT)',
        symbolFormat: 'XPT {#}',
        currencyCode: 'XPT {#}'
    },
    PL: {
        name: 'Polish Zloty (PL)',
        symbolFormat: '{#}zł',
        currencyCode: 'PLN {#}'
    },
    QA: {
        name: 'Qatar Rial (QAR)',
        symbolFormat: 'QAR {#}',
        currencyCode: 'QAR {#}'
    },
    RO: {
        name: 'Romanian Leu (ROL)',
        symbolFormat: 'RON {#}',
        currencyCode: 'ROL {#}'
    },
    RU: {
        name: 'Russian Rouble (RUB)',
        symbolFormat: '{#}₽',
        currencyCode: 'RUB {#}'
    },
    RW: {
        name: 'Rwanda Franc (RWF)',
        symbolFormat: 'FRw {#}',
        currencyCode: 'RWF {#}'
    },
    WS: {
        name: 'Samoa Tala (WST)',
        symbolFormat: 'WS${#}',
        currencyCode: 'WST {#}'
    },
    ST: {
        name: 'Sao Tome Dobra (STN)',
        symbolFormat: 'STN {#}',
        currencyCode: 'STD {#}'
    },
    SA: {
        name: 'Saudi Arabian Riyal (SAR)',
        symbolFormat: 'SAR {#}',
        currencyCode: 'SAR {#}'
    },
    RS: {
        name: 'Serbian Dinar (RSD)',
        symbolFormat: 'RSD {#}',
        currencyCode: 'RSD {#}'
    },
    SC: {
        name: 'Seychelles Rupee (SCR)',
        symbolFormat: 'SCR {#}',
        currencyCode: 'SCR {#}'
    },
    SL: {
        name: 'Sierra Leone Leone (SLL)',
        symbolFormat: 'SLL {#}',
        currencyCode: 'SLL {#}'
    },
    XAG: {
        name: 'Silver Ounces (XAG)',
        symbolFormat: 'XAG {#}',
        currencyCode: 'XAG {#}'
    },
    SG: {
        name: 'Singapore Dollar (SGD)',
        symbolFormat: 'S${#}',
        currencyCode: 'SGD {#}'
    },
    SB: {
        name: 'Solomon Islands Dollar (SBD)',
        symbolFormat: 'SI${#}',
        currencyCode: 'SBD {#}'
    },
    SO: {
        name: 'Somali Shilling (SOS)',
        symbolFormat: 'SOS {#}',
        currencyCode: 'SOS {#}'
    },
    TJ: {
        name: 'Somoni (TJS)',
        symbolFormat: '${#}',
        currencyCode: 'USD {#}'
    },
    ZA: {
        name: 'South African Rand (ZAR)',
        symbolFormat: 'R{#}',
        currencyCode: 'ZAR {#}'
    },
    LK: {
        name: 'Sri Lanka Rupee (LKR)',
        symbolFormat: 'Rs {#}',
        currencyCode: 'LKR {#}'
    },
    SH: {
        name: 'St Helena Pound (SHP)',
        symbolFormat: '\xA3{#}',
        currencyCode: 'SHP {#}'
    },
    AC: {
        name: 'St Helena Pound (SHP)',
        symbolFormat: '\xA3{#}',
        currencyCode: 'SHP {#}'
    },
    SS: {
        name: 'Sudanese Pound (SSP)',
        symbolFormat: 'SSP {#}',
        currencyCode: 'SSP {#}'
    },
    SR: {
        name: 'Surinam Dollar (SRD)',
        symbolFormat: 'Sr${#}',
        currencyCode: 'SRD {#}'
    },
    SZ: {
        name: 'Swaziland Lilageni (SZL)',
        symbolFormat: 'E{#}',
        currencyCode: 'SZL {#}'
    },
    SE: {
        name: 'Swedish Krona (SEK)',
        symbolFormat: '{#} kr',
        currencyCode: 'SEK {#}'
    },
    CH: {
        name: 'Swiss Franc (CHF)',
        symbolFormat: '{#} Fr.',
        currencyCode: 'CHF {#}'
    },
    SY: {
        name: 'Syrian Pound (SYP)',
        symbolFormat: 'SYP {#}',
        currencyCode: 'SYP {#}'
    },
    TW: {
        name: 'Taiwan Dollar (TWD)',
        symbolFormat: 'NT${#}',
        currencyCode: 'TWD {#}'
    },
    TZ: {
        name: 'Tanzanian Shilling (TZS)',
        symbolFormat: 'TZS {#}',
        currencyCode: 'TZS {#}'
    },
    TH: {
        name: 'Thai Baht (THB)',
        symbolFormat: '฿{#}',
        currencyCode: 'THB {#}'
    },
    TO: {
        name: "Tonga Pa'anga (TOP)",
        symbolFormat: 'T${#}',
        currencyCode: 'TOP {#}'
    },
    TT: {
        name: 'Trinidad&Tobago Dollar (TTD)',
        symbolFormat: 'TT${#}',
        currencyCode: 'TTD {#}'
    },
    TN: {
        name: 'Tunisian Dinar (TND)',
        symbolFormat: 'TND {#}',
        currencyCode: 'TND {#}'
    },
    TR: {
        name: 'Turkish Lira (TRL)',
        symbolFormat: '₺{#}',
        currencyCode: 'TRL {#}'
    },
    TM: {
        name: 'Turkmen Manat (TMM)',
        symbolFormat: 'TMM {#}',
        currencyCode: 'TMM {#}'
    },
    US: USD,
    AS: USD,
    IO: USD,
    VG: USD,
    GU: USD,
    HT: USD,
    MH: USD,
    FM: USD,
    MP: USD,
    PW: USD,
    PR: USD,
    TC: USD,
    VI: USD,
    AE: {
        name: 'UAE Dirham (AED)',
        symbolFormat: 'AED {#}',
        currencyCode: 'AED {#}'
    },
    UG: {
        name: 'Ugandan Shilling (UGX)',
        symbolFormat: 'USh {#}',
        currencyCode: 'UGX {#}'
    },
    UA: {
        name: 'Ukraine Hryvnia (UAH)',
        symbolFormat: '₴{#}',
        currencyCode: 'UAH {#}'
    },
    UY: {
        name: 'Uruguayan New Peso (UYU)',
        symbolFormat: '${#}',
        currencyCode: 'UYU {#}'
    },
    UZ: {
        name: 'Uzbekistani Sum (UZS)',
        symbolFormat: '{#} soʻm',
        currencyCode: 'UZS {#}'
    },
    VU: {
        name: 'Vanuatu Vatu (VUV)',
        symbolFormat: '{#}VT',
        currencyCode: 'VUV {#}'
    },
    VE: {
        name: 'Venezuelan Bolivar (VEB)',
        symbolFormat: '{#} Bs.',
        currencyCode: 'VEB {#}'
    },
    VN: {
        name: 'Vietnam Dong (VND)',
        symbolFormat: '{#}₫',
        currencyCode: 'VND {#}'
    },
    YE: {
        name: 'Yemen Riyal (YER)',
        symbolFormat: 'YER {#}',
        currencyCode: 'YER {#}'
    },
    YU: {
        name: 'Yugoslav Dinar (YUM)',
        symbolFormat: 'YUM {#}',
        currencyCode: 'YUM {#}'
    },
    ZR: {
        name: 'Zaire New Zaire (ZRN)',
        symbolFormat: 'ZRN {#}',
        currencyCode: 'ZRN {#}'
    },
    ZM: {
        name: 'Zambian Kwacha (ZMK)',
        symbolFormat: 'ZMK {#}',
        currencyCode: 'ZMK {#}'
    },
    ZW: {
        name: 'Zimbabwe Dollar (ZWD)',
        symbolFormat: 'Z${#}',
        currencyCode: 'ZWD {#}'
    },
    AD: EURO,
    AT: EURO,
    BE: EURO,
    CY: EURO,
    EE: EURO,
    FI: EURO,
    FR: EURO,
    DE: EURO,
    GR: EURO,
    IE: EURO,
    IT: EURO,
    XK: EURO,
    LV: EURO,
    LT: EURO,
    LU: EURO,
    MT: EURO,
    MC: EURO,
    ME: EURO,
    NL: EURO,
    PT: EURO,
    SM: EURO,
    SK: EURO,
    SI: EURO,
    ES: EURO,
    VA: EURO
};
//# sourceMappingURL=CurrencyMap.js.map