import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from 'react';
import Button from '@mui/material/Button';
import makeStyles from '@mui/styles/makeStyles';
const useStyles = makeStyles(( /* theme */) => ({
    button: {
        width: '50%',
        margin: '4px'
    },
    div: {
        display: 'flex',
        margin: '8px'
    }
}));
function ListViewActionButtons(props) {
    const { getPConnect, context, closeActionsDialog } = props;
    const classes = useStyles();
    const localizedVal = PCore.getLocaleUtils().getLocaleValue;
    const localeCategory = 'Data Object';
    const [isDisabled, setIsDisabled] = useState(false);
    return (_jsxs("div", { className: classes.div, children: [_jsx(Button, { className: classes.button, variant: 'contained', color: 'secondary', onClick: () => {
                    getPConnect().getActionsApi().cancelDataObject(context);
                }, children: localizedVal('Cancel', localeCategory) }), _jsx(Button, { className: classes.button, variant: 'contained', color: 'primary', disabled: isDisabled, onClick: () => {
                    setIsDisabled(true);
                    getPConnect()
                        .getActionsApi()
                        .submitEmbeddedDataModal(context)
                        .then(() => {
                        setIsDisabled(false);
                        closeActionsDialog();
                    })
                        .catch(err => {
                        // eslint-disable-next-line no-console
                        console.log(err);
                    });
                }, children: localizedVal('Submit', localeCategory) })] }));
}
export default ListViewActionButtons;
//# sourceMappingURL=ListViewActionButtons.js.map