import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import { getComponentFromMap } from '../../../bridge/helpers/sdk_component_map';
import './MultiStep.css';
export default function MultiStep(props) {
    // Get emitted components from map (so we can get any override that may exist)
    const AssignmentCard = getComponentFromMap('AssignmentCard');
    const { getPConnect, children, itemKey = '', actionButtons, onButtonPress } = props;
    const { bIsVertical, arNavigationSteps } = props;
    let currentStep = arNavigationSteps.find(({ visited_status: vs }) => vs === 'current');
    if (!currentStep) {
        const lastActiveStepIndex = arNavigationSteps.findLastIndex(({ visited_status: vs }) => vs === 'success');
        currentStep = arNavigationSteps[lastActiveStepIndex >= 0 ? lastActiveStepIndex : 0];
    }
    // const svgCurrent = Utils.getImageSrc("circle-solid", Utils.getSDKStaticConentUrl());
    // const svgNotCurrent = Utils.getImageSrc("circle-solid", Utils.getSDKStaticConentUrl());
    function _getVIconClass(status) {
        if (status === 'current') {
            return 'psdk-vertical-step-icon-selected';
        }
        return 'psdk-vertical-step-icon';
    }
    function _getVLabelClass(status) {
        if (status === 'current') {
            return 'psdk-vertical-step-label-selected';
        }
        return 'psdk-vertical-step-label';
    }
    function _getVBodyClass(index) {
        if (index < arNavigationSteps.length - 1) {
            return 'psdk-vertical-step-body psdk-vertical-step-line';
        }
        return 'psdk-vertical-step-body';
    }
    function _getHIconClass(step) {
        if (step.ID === currentStep?.ID) {
            return 'psdk-horizontal-step-icon-selected';
        }
        return 'psdk-horizontal-step-icon';
    }
    function _getHLabelClass(step) {
        if (step.ID === currentStep?.ID) {
            return 'psdk-horizontal-step-label-selected';
        }
        return 'psdk-horizontal-step-label';
    }
    function _showHLine(index) {
        // eslint-disable-next-line sonarjs/prefer-single-boolean-return
        if (index < arNavigationSteps.length - 1) {
            return true;
        }
        return false;
    }
    function buttonPress(sAction, sButtonType) {
        onButtonPress(sAction, sButtonType);
    }
    return (_jsx("div", { children: bIsVertical ? (_jsx("div", { className: 'psdk-vertical-stepper', children: arNavigationSteps.map((mainStep, index) => {
                return (_jsx(React.Fragment, { children: _jsxs("div", { className: 'psdk-vertical-step', children: [_jsxs("div", { className: 'psdk-vertical-step-header', children: [_jsx("div", { className: _getVIconClass(mainStep.visited_status), children: _jsx("div", { className: 'psdk-vertical-step-icon-content', children: _jsx("span", { children: index + 1 }) }) }), _jsx("div", { className: _getVLabelClass(mainStep.visited_status), children: mainStep.name })] }), _jsxs("div", { className: _getVBodyClass(index), children: [mainStep?.steps && (_jsx("ul", { style: {
                                            paddingInlineStart: '0rem',
                                            marginLeft: '-7px'
                                        }, children: mainStep.steps.forEach(subStep => {
                                            _jsxs("li", { className: 'psdk-sub-step-list', children: [_jsxs("div", { style: { display: 'inline-flex' }, children: [subStep.visited_status === 'current' && _jsx("img", { className: 'psdk-current-svg-icon', src: '{svgCurrent}' }), subStep.visited_status !== 'current' && _jsx("img", { className: 'psdk-not-current-svg-icon', src: '{svgNotCurrent}' }), subStep.visited_status === 'current' && _jsx("label", { className: 'psdk-sub-step-current', children: subStep.name }), subStep.visited_status !== 'current' && _jsx("label", { className: 'psdk-sub-step-not-current', children: subStep.name })] }), subStep.visited_status === 'current' && (_jsx("div", { children: _jsx(AssignmentCard, { getPConnect: getPConnect, itemKey: itemKey, actionButtons: actionButtons, onButtonPress: buttonPress, children: children }) }))] });
                                        }) })), !mainStep?.steps && mainStep.visited_status === 'current' && (_jsx(AssignmentCard, { getPConnect: getPConnect, itemKey: itemKey, actionButtons: actionButtons, onButtonPress: buttonPress, children: children }))] })] }) }, mainStep.actionID));
            }) })) : (_jsxs("div", { className: 'psdk-horizontal-stepper', children: [_jsx("div", { className: 'psdk-horizontal-stepper-header-container', children: arNavigationSteps.map((mainStep, index) => {
                        return (_jsxs(React.Fragment, { children: [_jsxs("div", { className: 'psdk-horizontal-step-header', children: [_jsx("div", { className: _getHIconClass(mainStep), children: _jsx("div", { className: 'psdk-horizontal-step-icon-content', children: _jsx("span", { children: index + 1 }) }) }), _jsx("div", { className: _getHLabelClass(mainStep), children: _jsx("div", { className: 'psdk-horizontal-step-text-label', id: 'selected-label', children: mainStep.name }) })] }), _showHLine(index) && _jsx("div", { className: 'psdk-horizontal-step-line' })] }, mainStep.actionID));
                    }) }), arNavigationSteps.map(mainStep => {
                    return (_jsxs(React.Fragment, { children: [mainStep.steps && (_jsx("ul", { style: { paddingInlineStart: '0rem', marginLeft: '35px' }, children: mainStep.steps.map(subStep => (_jsxs("li", { className: 'psdk-sub-step-list', children: [_jsxs("div", { style: { display: 'inline-flex' }, children: [subStep.visited_status === 'current' && _jsx("img", { className: 'psdk-current-svg-icon', src: '{svgCurrent}' }), subStep.visited_status !== 'current' && _jsx("img", { className: 'psdk-not-current-svg-icon', src: '{svgNotCurrent}' }), subStep.visited_status === 'current' && _jsx("label", { className: 'psdk-sub-step-current', children: subStep.name }), subStep.visited_status !== 'current' && _jsx("label", { className: 'psdk-sub-step-not-current', children: subStep.name })] }), subStep.visited_status === 'current' && (_jsx(AssignmentCard, { getPConnect: getPConnect, itemKey: itemKey, actionButtons: actionButtons, onButtonPress: buttonPress, children: children }))] }))) })), !mainStep?.steps && mainStep.ID === currentStep?.ID && (_jsx(AssignmentCard, { getPConnect: getPConnect, itemKey: itemKey, actionButtons: actionButtons, onButtonPress: buttonPress, children: children }))] }, mainStep.actionID));
                })] })) }));
}
//# sourceMappingURL=MultiStep.js.map