import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
export default function Reference(props) {
    const { visibility = true, context = '', getPConnect, readOnly = false, displayMode = '' } = props;
    const pConnect = getPConnect();
    // @ts-ignore - Property 'getComponentConfig' is private and only accessible within class 'C11nEnv'.
    const referenceConfig = { ...pConnect.getComponentConfig() } || {};
    delete referenceConfig?.name;
    delete referenceConfig?.type;
    delete referenceConfig?.visibility;
    const viewMetadata = pConnect.getReferencedView();
    if (!viewMetadata) {
        // console.log("View not found ", pConnect.getComponentConfig());
        return null;
    }
    const viewObject = {
        ...viewMetadata,
        config: {
            ...viewMetadata.config,
            ...referenceConfig
        }
    };
    // @ts-ignore - Argument of type 'null' is not assignable to parameter of type 'string'.
    const viewComponent = pConnect.createComponent(viewObject, null, null, {
        pageReference: context && context.startsWith('@CLASS') ? '' : context
    });
    viewComponent.props.getPConnect().setInheritedConfig({
        ...referenceConfig,
        readOnly,
        displayMode
    });
    if (visibility !== false) {
        return _jsx(_Fragment, { children: viewComponent });
    }
    return null;
}
//# sourceMappingURL=Reference.js.map