import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import withStyles from '@mui/styles/withStyles';
import { Tab, Divider } from '@mui/material';
// LeftAlignVerticalTab is a specialized Tab that has styles to make it
//  left aligned and full width of the container Tabs
// Aligning the Tab labels left (with & .<class name> syntax) inspired by:
//  https://stackoverflow.com/questions/63307723/how-to-modify-the-wrapper-css-rule-of-a-tabs-component-to-make-the-text-aligned
// In this styling, "root" is the top-level "Tab" object (which is the button)
//  and the button contains spans that will match on the '> span'
const LeftAlignVerticalTabs = withStyles(( /* theme */) => ({
    root: {
        width: '100%',
        maxWidth: '100%',
        alignItems: 'flex-start'
    },
    wrapper: {
        display: 'block',
        textAlign: 'left'
    }
}))((props) => (_jsxs("div", { children: [_jsx(Tab, { ...props }), _jsx(Divider, {})] })));
export default LeftAlignVerticalTabs;
//# sourceMappingURL=LeftAlignVerticalTabs.js.map