import { jsx as _jsx } from "react/jsx-runtime";
import { Children, useMemo } from 'react';
import { getComponentFromMap } from '../../../bridge/helpers/sdk_component_map';
/*
 * BannerPage template.
 */
export default function BannerPage(props) {
    // Get emitted components from map (so we can get any override that may exist)
    const Banner = getComponentFromMap('Banner');
    const { children, layout = 'two-column', heading = '', message = '', imageTheme = 'light', backgroundImage = '', backgroundColor = '', tintImage = false } = props;
    const childArray = useMemo(() => {
        return Children.toArray(children);
    }, [children]);
    return (_jsx(Banner, { variant: layout, a: childArray[0], b: childArray[1], banner: {
            variant: imageTheme,
            backgroundColor,
            title: heading,
            message,
            backgroundImage,
            tintImage
        } }));
}
//# sourceMappingURL=BannerPage.js.map