import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from 'react';
import Button from '@mui/material/Button';
import Menu from '@mui/material/Menu';
import MenuItem from '@mui/material/MenuItem';
import Snackbar from '@mui/material/Snackbar';
import IconButton from '@mui/material/IconButton';
import CloseIcon from '@mui/icons-material/Close';
export default function CaseViewActionsMenu(props) {
    const { getPConnect, availableActions, availableProcesses, caseTypeID, caseTypeName } = props;
    const thePConn = getPConnect();
    const localizedVal = PCore.getLocaleUtils().getLocaleValue;
    const localeCategory = 'CaseView';
    const localeKey = `${caseTypeID}!CASE!${caseTypeName}`.toUpperCase();
    const [anchorEl, setAnchorEl] = useState(null);
    const [showSnackbar, setShowSnackbar] = useState(false);
    const [snackbarMessage, setSnackbarMessage] = useState('');
    const handleClick = (event) => {
        setAnchorEl(event.currentTarget);
    };
    const handleClose = () => {
        setAnchorEl(null);
    };
    const arMenuItems = [];
    function showToast(message) {
        setSnackbarMessage(message);
        setShowSnackbar(true);
    }
    function handleSnackbarClose(event, reason) {
        if (reason === 'clickaway') {
            return;
        }
        setShowSnackbar(false);
    }
    function _actionMenuActionsClick(data) {
        const actionsAPI = thePConn.getActionsApi();
        const openLocalAction = actionsAPI.openLocalAction.bind(actionsAPI);
        openLocalAction(data.ID, {
            ...data,
            containerName: 'modal',
            type: 'express'
        });
        // after doing the action, close the menu...
        handleClose();
    }
    function _actionMenuProcessClick(process) {
        const actionsAPI = thePConn.getActionsApi();
        const openProcessAction = actionsAPI.openProcessAction.bind(actionsAPI);
        openProcessAction(process.ID, {
            ...process
        })
            .then(() => { })
            .catch(() => {
            showToast(`${process.name} Submit failed!`);
        });
        handleClose();
    }
    availableActions.forEach(action => {
        arMenuItems.push(_jsx(MenuItem, { onClick: () => _actionMenuActionsClick(action), children: localizedVal(action.name, '', localeKey) }, action.ID));
    });
    availableProcesses.forEach(process => {
        arMenuItems.push(_jsx(MenuItem, { onClick: () => _actionMenuProcessClick(process), children: localizedVal(process.name, '', localeKey) }, process.ID));
    });
    return (_jsxs(_Fragment, { children: [_jsx(Button, { id: 'actions-menu', "aria-controls": 'simple-menu', "aria-haspopup": 'true', onClick: handleClick, children: localizedVal('Actions...', localeCategory) }), _jsx(Menu, { id: 'simple-menu', anchorEl: anchorEl, keepMounted: true, open: Boolean(anchorEl), onClose: handleClose, children: arMenuItems }), _jsx(Snackbar, { open: showSnackbar, autoHideDuration: 3000, onClose: handleSnackbarClose, message: snackbarMessage, action: _jsx(IconButton, { size: 'small', "aria-label": 'close', color: 'inherit', onClick: handleSnackbarClose, children: _jsx(CloseIcon, { fontSize: 'small' }) }) })] }));
}
//# sourceMappingURL=CaseViewActionsMenu.js.map