import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
/* eslint-disable no-nested-ternary */
import { useState } from 'react';
import { Button, Card } from '@mui/material';
import makeStyles from '@mui/styles/makeStyles';
import { getToDoAssignments } from '../../infra/Containers/FlowContainer/helpers';
import { getComponentFromMap } from '../../../bridge/helpers/sdk_component_map';
const useStyles = makeStyles(theme => ({
    root: {
        paddingRight: theme.spacing(1),
        paddingLeft: theme.spacing(1),
        paddingTop: theme.spacing(1),
        paddingBottom: theme.spacing(1),
        marginRight: theme.spacing(1),
        marginLeft: theme.spacing(1),
        marginTop: theme.spacing(1),
        marginBottom: theme.spacing(1)
    }
}));
export default function Confirmation(props) {
    // Get emitted components from map (so we can get any override that may exist)
    const ToDo = getComponentFromMap('Todo'); // NOTE: ConstellationJS Engine uses "Todo" and not "ToDo"!!!
    const Details = getComponentFromMap('Details');
    const classes = useStyles();
    const CONSTS = PCore.getConstants();
    const [showConfirmView, setShowConfirmView] = useState(true);
    const { showTasks, getPConnect } = props;
    // Get the inherited props from the parent to determine label settings
    // Not using whatsNext at the moment, need to figure out the use of it
    // const whatsNext = datasource?.source;
    // const items = whatsNext.length > 0 ? whatsNext.map(item => item.label) : '';
    const activeContainerItemID = PCore.getContainerUtils().getActiveContainerItemName(getPConnect().getTarget());
    const rootInfo = PCore.getContainerUtils().getContainerItemData(getPConnect().getTarget(), activeContainerItemID);
    const onConfirmViewClose = () => {
        setShowConfirmView(false);
        PCore.getPubSubUtils().publish(PCore.getConstants().PUB_SUB_EVENTS.CASE_EVENTS.CLOSE_CONFIRM_VIEW, rootInfo);
    };
    const todoProps = { ...props, renderTodoInConfirm: true };
    const toDoList = getToDoAssignments(getPConnect());
    const detailProps = { ...props, showLabel: false };
    const showDetails = detailProps?.children?.[0]?.props?.getPConnect()?.getChildren()?.length > 0;
    return showConfirmView ? (_jsxs(Card, { className: classes.root, children: [_jsx("h2", { id: 'confirm-label', children: props.showLabel ? props.label : '' }), showDetails ? _jsx(Details, { ...detailProps }) : undefined, showTasks ? (toDoList && toDoList.length > 0 ? (_jsx(ToDo, { ...todoProps, datasource: { source: toDoList }, getPConnect: getPConnect, type: CONSTS.TODO, headerText: 'Open Tasks', isConfirm: true })) : undefined) : undefined, _jsx("div", { style: { display: 'flex', justifyContent: 'flex-end' }, children: _jsx(Button, { variant: 'contained', color: 'primary', onClick: onConfirmViewClose, children: "Done" }) })] })) : toDoList && toDoList.length > 0 ? (_jsx(Card, { className: classes.root, children: _jsx(ToDo, { ...props, datasource: { source: toDoList }, getPConnect: getPConnect, type: CONSTS.TODO, headerText: 'Tasks', isConfirm: true }) })) : null;
}
//# sourceMappingURL=Confirmation.js.map