import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { createElement } from 'react';
import { getInstructions } from '../../helpers/template-utils';
import createPConnectComponent from '../../../bridge/react_pconnect';
import connectToState from '../../helpers/state-utils';
import { getKeyForMappedField, mapStateToProps } from './utils';
import './DefaultForm.css';
const Child = connectToState(mapStateToProps)(props => {
    const { key, visibility, ...rest } = props;
    return createElement(createPConnectComponent(), { ...rest, key, visibility });
});
export default function DefaultForm(props) {
    const { getPConnect, NumCols = '1' } = props;
    const instructions = getInstructions(getPConnect(), props.instructions);
    let divClass;
    const numCols = NumCols || '1';
    switch (numCols) {
        case '1':
            divClass = 'psdk-default-form-one-column';
            break;
        case '2':
            divClass = 'psdk-default-form-two-column';
            break;
        case '3':
            divClass = 'psdk-default-form-three-column';
            break;
        default:
            divClass = 'psdk-default-form-one-column';
            break;
    }
    // debugger;
    // repoint the children because they are in a region and we need to not render the region
    // to take the children and create components for them, put in an array and pass as the
    // defaultForm kids
    const arChildren = getPConnect().getChildren()[0].getPConnect().getChildren();
    const dfChildren = arChildren?.map(kid => _jsx(Child, { ...kid }, getKeyForMappedField(kid)));
    return (_jsxs(_Fragment, { children: [instructions && (_jsx("div", { className: 'psdk-default-form-instruction-text', children: _jsx("div", { id: 'instruction-text', dangerouslySetInnerHTML: { __html: instructions } }, 'instructions') })), _jsx("div", { className: divClass, children: dfChildren })] }));
}
//# sourceMappingURL=DefaultForm.js.map