import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { Children, useEffect, useState } from 'react';
import { Tab, Tabs } from '@mui/material';
import { TabContext, TabPanel } from '@mui/lab';
import { getTransientTabs, getVisibleTabs, tabClick } from '../../SubTabs/tabUtils';
export default function DetailsSubTabs(props) {
    const { children = [], label, showLabel = true, getPConnect } = props;
    // Get the inherited props from the parent to determine label settings
    const propsToUse = { label, showLabel, ...getPConnect().getInheritedProps() };
    const defaultTabIndex = 0;
    const deferLoadedTabs = Children.toArray(children)[0];
    let availableTabs = [];
    useEffect(() => {
        availableTabs = getVisibleTabs(deferLoadedTabs, 'detailsSubTabs');
    }, [availableTabs]);
    const [currentTabId, setCurrentTabId] = useState(defaultTabIndex.toString());
    const [tabItems, setTabitem] = useState([]);
    useEffect(() => {
        const tempTabItems = getTransientTabs(availableTabs, currentTabId, tabItems);
        setTabitem(tempTabItems);
    }, [currentTabId]);
    const handleTabClick = (id, index) => {
        setCurrentTabId(index);
        tabClick(index, availableTabs, currentTabId, setCurrentTabId, tabItems);
    };
    return (_jsxs(_Fragment, { children: [propsToUse.showLabel && _jsx("h3", { children: propsToUse.label }), _jsxs(TabContext, { value: currentTabId.toString(), children: [_jsx(Tabs, { onChange: handleTabClick, value: currentTabId, children: tabItems.map((tab) => (_jsx(Tab, { label: tab.name, value: tab.id }, tab.id))) }), tabItems.map((tab) => (_jsx(TabPanel, { value: tab.id, tabIndex: +tab.id, children: _jsx("div", { children: tab.content ? tab.content : 'No content exists' }) }, tab.id)))] })] }));
}
//# sourceMappingURL=DetailsSubTabs.js.map