import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import React, { Children, useMemo, useState } from 'react';
import { Tab, Tabs } from '@mui/material';
import { TabContext, TabPanel } from '@mui/lab';
import makeStyles from '@mui/styles/makeStyles';
import { buildView } from '../../../helpers/field-group-utils';
const useStyles = makeStyles(() => ({
    tab: {
        minWidth: '72px'
    }
}));
function DynamicTabs(props) {
    const classes = useStyles();
    const { referenceList, showLabel, label, getPConnect } = props;
    const pConnect = getPConnect();
    // Get the inherited props from the parent to determine label settings
    const propsToUse = { label, showLabel, ...pConnect.getInheritedProps() };
    const defaultTabIndex = 0;
    // @ts-ignore - Property 'getComponentConfig' is private and only accessible within class 'C11nEnv'.
    const { tablabel } = pConnect.getComponentConfig();
    const tablabelProp = PCore.getAnnotationUtils().getPropertyName(tablabel);
    const referenceListData = pConnect.getValue(`${referenceList}.pxResults`, ''); // 2nd arg empty string until typedefs properly allow optional
    const memoisedTabViews = useMemo(() => {
        pConnect.setInheritedProp('displayMode', 'DISPLAY_ONLY');
        pConnect.setInheritedProp('readOnly', true);
        return (referenceListData &&
            Children.toArray(referenceListData.map((item, index) => {
                return _jsx(React.Fragment, { children: buildView(pConnect, index, '') }, item[tablabelProp]);
            })));
    }, [referenceListData]);
    const [panelShown, changePanel] = useState(defaultTabIndex);
    const handleTabClick = (e, id) => {
        changePanel(parseInt(id, 10));
    };
    // Loop over the tab contents and and pull out the labels for the navigation
    const tabItems = referenceListData?.map((item, i) => {
        const currentTabLabel = item[tablabelProp] || PCore.getLocaleUtils().getLocaleValue('No label specified in config', 'Generic');
        return {
            name: currentTabLabel,
            id: i
        };
    }) || [];
    return (_jsxs(_Fragment, { children: [propsToUse.label && _jsx("h3", { id: 'dynamic-tabs-title', children: propsToUse.label }), _jsxs(TabContext, { value: panelShown.toString(), children: [_jsx(Tabs, { onChange: handleTabClick, value: panelShown, variant: 'scrollable', scrollButtons: 'auto', indicatorColor: 'primary', id: 'dynamic-tabs', children: tabItems.map((tab) => (_jsx(Tab, { label: tab.name, value: tab.id, className: classes.tab }, tab.id))) }), tabItems.map((tab) => (_jsx(TabPanel, { value: tab.id.toString(), tabIndex: +tab.id, id: 'dynamic-tabpanel', children: _jsx("div", { children: memoisedTabViews[parseInt(tab.id, 10)] || 'No content exists' }) }, tab.id)))] })] }));
}
export default DynamicTabs;
//# sourceMappingURL=DynamicTabs.js.map