import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { Grid, Typography } from '@mui/material';
import makeStyles from '@mui/styles/makeStyles';
const useStyles = makeStyles(( /* theme */) => ({
    headerStyles: {
        fontWeight: 500,
        fontSize: '1.25rem'
    },
    containerStyles: {
        marginTop: '1rem',
        marginBottom: '1rem'
    },
    colStyles: {
        display: 'grid',
        gap: '1rem',
        alignContent: 'baseline'
    },
    filterContainerStyles: {
        display: 'grid',
        gap: '1rem',
        gridTemplateColumns: 'repeat(7, 1fr);'
    },
    inlineStyles: {
        display: 'grid',
        gap: '1rem',
        alignContent: 'baseline',
        marginTop: '1rem'
    }
}));
export default function InlineDashboard(props) {
    const classes = useStyles();
    const { children, title, filterPosition } = props;
    const childrenToRender = children;
    const direction = filterPosition === 'inline-start' ? 'row-reverse' : 'row';
    return (_jsxs(_Fragment, { children: [_jsx(Typography, { variant: 'h4', className: classes.headerStyles, children: title }), filterPosition === 'block-start' && (_jsxs(Grid, { container: true, spacing: 2, direction: 'column-reverse', className: classes.containerStyles, children: [_jsx(Grid, { item: true, xs: 12, className: classes.colStyles, children: childrenToRender[0] }), _jsx(Grid, { id: 'filters', item: true, xs: 12, className: classes.filterContainerStyles, children: childrenToRender[1] })] })), filterPosition !== 'block-start' && (_jsxs(Grid, { container: true, spacing: 2, direction: direction, className: classes.containerStyles, children: [_jsx(Grid, { item: true, xs: 9, children: childrenToRender[0] }), _jsx(Grid, { id: 'filters', item: true, xs: 3, className: classes.inlineStyles, children: childrenToRender[1] })] }))] }));
}
//# sourceMappingURL=InlineDashboard.js.map