import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
export default function MultiReferenceReadOnly(props) {
    const { getPConnect, label = '', hideLabel = false, config } = props;
    const { referenceList, readonlyContextList } = config;
    // When referenceList does not contain selected values, it should be replaced with readonlyContextList while calling SimpleTableManual
    let readonlyContextObject;
    if (!PCore.getAnnotationUtils().isProperty(referenceList)) {
        readonlyContextObject = {
            referenceList: readonlyContextList
        };
    }
    const component = getPConnect().createComponent({
        type: 'SimpleTable',
        config: {
            ...config,
            ...readonlyContextObject,
            label,
            hideLabel
        }
    }, '', 0, {}); // 2nd, 3rd, and 4th args empty string/object/null until typedef marked correctly as optional
    return _jsx(_Fragment, { children: component });
}
//# sourceMappingURL=MultiReferenceReadOnly.js.map