import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
export default function SingleReferenceReadOnly(props) {
    const { getPConnect, displayAs = '', ruleClass = '', label = '', type = '', displayMode = '', referenceType = '', hideLabel = false, dataRelationshipContext = null, config } = props;
    const editableComponents = ['AutoComplete', 'SimpleTableSelect', 'Dropdown'];
    if (editableComponents.includes(type)) {
        config.caseClass = ruleClass;
        config.text = config.primaryField;
        config.caseID = config.value;
        config.contextPage = `@P .${dataRelationshipContext}`;
        config.resourceParams = {
            workID: displayAs === 'table' ? config.selectionKey : config.value
        };
        config.resourcePayload = {
            caseClassName: ruleClass
        };
    }
    const component = getPConnect().createComponent({
        type: 'SemanticLink',
        config: {
            ...config,
            label,
            displayMode,
            referenceType,
            hideLabel,
            dataRelationshipContext
        }
    }, '', 0, {}); // 2nd, 3rd, and 4th args empty string/object/null until typedef marked correctly as optional
    return _jsx(_Fragment, { children: component });
}
//# sourceMappingURL=SingleReferenceReadOnly.js.map