import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Children, useEffect, useState } from 'react';
import { Tab, Tabs } from '@mui/material';
import { TabContext, TabPanel } from '@mui/lab';
import { getTransientTabs, getVisibleTabs, tabClick } from './tabUtils';
export default function SubTabs(props) {
    const { children = [] } = props;
    const defaultTabIndex = 0;
    const deferLoadedTabs = Children.toArray(children)[0];
    const availableTabs = getVisibleTabs(deferLoadedTabs, 'tabsSubs');
    const [currentTabId, setCurrentTabId] = useState(defaultTabIndex.toString());
    const [tabItems, setTabitem] = useState([]);
    useEffect(() => {
        const tempTabItems = getTransientTabs(availableTabs, currentTabId, tabItems);
        setTabitem(tempTabItems);
    }, [currentTabId]);
    const handleTabClick = (id, index) => {
        setCurrentTabId(index);
        tabClick(index, availableTabs, currentTabId, setCurrentTabId, tabItems);
    };
    return (_jsxs(TabContext, { value: currentTabId.toString(), children: [_jsx(Tabs, { onChange: handleTabClick, value: currentTabId, variant: 'scrollable', children: tabItems.map((tab) => (_jsx(Tab, { label: tab.name, value: tab.id }, tab.id))) }), tabItems.map((tab) => (_jsx(TabPanel, { value: tab.id, tabIndex: +tab.id, children: _jsx("div", { children: tab.content ? tab.content : 'No content exists' }) }, tab.id)))] }));
}
//# sourceMappingURL=SubTabs.js.map