import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Grid } from '@mui/material';
import makeStyles from '@mui/styles/makeStyles';
const useStyles = makeStyles(() => ({
    colStyles: {
        display: 'grid',
        gap: '1rem',
        alignContent: 'baseline'
    }
}));
export default function TwoColumnTab(props) {
    const classes = useStyles();
    const { children, templateCol = '1fr 1fr' } = props;
    const childrenToRender = children;
    if (childrenToRender.length !== 2) {
        // eslint-disable-next-line no-console
        console.error(`TwoColumn template sees more than 2 columns: ${childrenToRender.length}`);
    }
    // Calculate the size
    //  Default to assume the 2 columns are evenly split. However, override if templateCol
    //  (example value: "1fr 1fr")
    let aSize = 6;
    let bSize = 6;
    const colAArray = templateCol
        .replaceAll(/[a-z]+/g, '')
        .split(/\s/)
        .map(itm => Number(itm));
    const totalCols = colAArray.reduce((v, itm) => itm + v, 0);
    const ratio = 12 / totalCols;
    aSize = (ratio * colAArray[0]);
    bSize = (ratio * colAArray[1]);
    return (_jsxs(Grid, { container: true, spacing: 1, children: [_jsx(Grid, { item: true, xs: 12, md: aSize, className: classes.colStyles, children: childrenToRender[0] }), _jsx(Grid, { item: true, xs: 12, md: bSize, className: classes.colStyles, children: childrenToRender[1] })] }));
}
//# sourceMappingURL=TwoColumnTab.js.map