import { jsx as _jsx } from "react/jsx-runtime";
import { Children } from 'react';
import { getComponentFromMap } from '../../../../bridge/helpers/sdk_component_map';
/*
 * The wrapper handles knowing how to take in just children and mapping
 * to the Cosmos template.
 */
export default function WideNarrowPage(props) {
    // Get emitted components from map (so we can get any override that may exist)
    const WideNarrow = getComponentFromMap('WideNarrow');
    const { children, title, templateCol = '1fr 1fr', icon = '' } = props;
    const childArray = Children.toArray(children);
    return (_jsx("div", { children: _jsx(WideNarrow, { a: childArray[0], b: childArray[1], title: title, cols: templateCol, icon: icon?.replace('pi pi-', '') }) }));
}
//# sourceMappingURL=WideNarrowPage.js.map