import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useState } from 'react';
import makeStyles from '@mui/styles/makeStyles';
import AppBar from '@mui/material/AppBar';
import Box from '@mui/material/Box';
import Toolbar from '@mui/material/Toolbar';
import Container from '@mui/material/Container';
import { IconButton, Menu, MenuItem, Typography, Button } from '@mui/material';
import Avatar from '@mui/material/Avatar';
import MenuIcon from '@mui/icons-material/Menu';
import { logout } from '@pega/auth/lib/sdk-auth-manager';
import './WssNavBar.css';
const useStyles = makeStyles(theme => ({
    root: {
        display: 'flex'
    },
    content: {
        flexGrow: 1,
        height: '100vh',
        marginLeft: theme.spacing(2),
        marginRight: theme.spacing(2)
    },
    appListLogo: {
        width: '3.6rem'
    },
    appName: {
        color: 'white',
        marginLeft: theme.spacing(2),
        marginRight: theme.spacing(4),
        fontSize: '1.5rem'
    }
}));
export default function WssNavBar(props) {
    const { appInfo, navLinks, operator, navDisplayOptions } = props;
    const { alignment, position } = navDisplayOptions;
    const classes = useStyles();
    const [anchorElNav, setAnchorElNav] = useState(null);
    const [anchorElUser, setAnchorElUser] = useState(null);
    const localizedVal = PCore.getLocaleUtils().getLocaleValue;
    const localeCategory = 'AppShell';
    const handleOpenNavMenu = (event) => {
        setAnchorElNav(event.currentTarget);
    };
    const handleOpenUserMenu = (event) => {
        setAnchorElUser(event.currentTarget);
    };
    const handleCloseNavMenu = () => {
        setAnchorElNav(null);
    };
    const handleCloseUserMenu = () => {
        setAnchorElUser(null);
    };
    const navLinksContent = (_jsx(Box, { id: 'nav-links', sx: { flexGrow: 1, display: { xs: 'none', md: 'flex' } }, style: { justifyContent: alignment }, children: navLinks.map(link => (_jsx(Button, { className: 'link-style', onClick: link.onClick, children: link.text }, link.text))) }));
    return (_jsx("div", { id: 'NavBar', className: 'nav-bar', children: _jsx(AppBar, { position: 'static', color: 'primary', children: _jsxs(Container, { maxWidth: 'xl', children: [_jsxs(Toolbar, { disableGutters: true, style: { justifyContent: 'space-between' }, children: [_jsxs(Button, { id: 'appName', style: { textTransform: 'capitalize' }, onClick: appInfo.onClick, children: [_jsx("img", { src: appInfo.imageSrc, className: classes.appListLogo }), _jsx("span", { className: classes.appName, children: appInfo.appName })] }), _jsxs(Box, { sx: { flexGrow: 1, display: { xs: 'flex', md: 'none' } }, children: [_jsx(IconButton, { size: 'small', "aria-label": 'account of current user', "aria-controls": 'menu-appbar', "aria-haspopup": 'true', onClick: handleOpenNavMenu, color: 'inherit', children: _jsx(MenuIcon, {}) }), _jsx(Menu, { id: 'menu-appbar', anchorEl: anchorElNav, anchorOrigin: {
                                            vertical: 'bottom',
                                            horizontal: 'left'
                                        }, keepMounted: true, transformOrigin: {
                                            vertical: 'top',
                                            horizontal: 'left'
                                        }, open: Boolean(anchorElNav), onClose: handleCloseNavMenu, children: navLinks.map(link => (_jsx(MenuItem, { onClick: link.onClick, children: _jsx(Typography, { children: link.text }) }, link.text))) })] }), position === 'inline' && _jsx(_Fragment, { children: navLinksContent }), _jsxs(Box, { sx: { flexGrow: 0 }, children: [_jsx(IconButton, { onClick: handleOpenUserMenu, size: 'large', children: _jsx(Avatar, { children: operator.currentUserInitials }) }), _jsx(Menu, { id: 'menu-appbar', anchorEl: anchorElUser, anchorOrigin: {
                                            vertical: 'top',
                                            horizontal: 'right'
                                        }, keepMounted: true, transformOrigin: {
                                            vertical: 'top',
                                            horizontal: 'right'
                                        }, open: Boolean(anchorElUser), onClose: handleCloseUserMenu, children: _jsx(MenuItem, { onClick: logout, children: _jsx(Typography, { children: localizedVal('Log off', localeCategory) }) }) })] })] }), position === 'below' && _jsx(_Fragment, { children: navLinksContent })] }) }) }));
}
//# sourceMappingURL=WssNavBar.js.map