import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Card, CardContent, CardHeader, Typography, CardActions, Button } from '@mui/material';
import makeStyles from '@mui/styles/makeStyles';
const useStyles = makeStyles(theme => ({
    root: {
        marginTop: theme.spacing(1),
        marginBottom: theme.spacing(1),
        borderLeft: '6px solid',
        borderLeftColor: theme.palette.primary.light
    }
}));
export default function AppAnnouncement(props) {
    const { header = '', description = '', datasource = [], whatsnewlink = '' } = props;
    let details = [];
    if (datasource && datasource.source) {
        details = datasource.source.map(item => {
            return item.name;
        });
    }
    const classes = useStyles();
    const handleClick = () => {
        window.open(whatsnewlink);
    };
    return (_jsxs(Card, { title: 'AppAnnouncement', className: classes.root, children: [_jsx(CardHeader, { title: _jsx(Typography, { variant: 'h6', children: header }) }), _jsxs(CardContent, { children: [_jsx(Typography, { variant: 'body1', gutterBottom: true, children: description }), details.map((itm, idx) => {
                        const theKey = `AppAnn-item-${idx}`;
                        return (_jsxs(Typography, { variant: 'body2', children: ["- ", itm] }, theKey));
                    })] }), _jsx(CardActions, { children: _jsx(Button, { color: 'primary', onClick: handleClick, size: 'small', children: "See what's new" }) })] }));
}
//# sourceMappingURL=AppAnnouncement.js.map