import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from 'react';
import { IconButton, Menu, MenuItem } from '@mui/material';
import MoreVertIcon from '@mui/icons-material/MoreVert';
import { Utils } from '../../helpers/utils';
import './SummaryItem.css';
export default function SummaryItem(props) {
    let imagePath$ = '';
    let menuIconOverride$;
    menuIconOverride$ = props.menuIconOverride$;
    imagePath$ = Utils.getIconPath(Utils.getSDKStaticConentUrl());
    const item = props.arItems$;
    const srcImg = `${imagePath$}${item.visual.icon}.svg`;
    const [anchorEl, setAnchorEl] = useState(null);
    const open = Boolean(anchorEl);
    if (menuIconOverride$) {
        menuIconOverride$ = Utils.getImageSrc(menuIconOverride$, Utils.getSDKStaticConentUrl());
    }
    function removeAttachment() {
        props.menuIconOverrideAction$(item);
    }
    const handleClick = event => {
        setAnchorEl(event.currentTarget);
    };
    const handleClose = () => {
        setAnchorEl(null);
    };
    return (_jsxs("div", { className: 'psdk-utility-card', children: [_jsx("div", { className: 'psdk-utility-card-icon', children: _jsx("img", { className: 'psdk-utility-card-svg-icon', src: srcImg }) }), _jsxs("div", { className: 'psdk-utility-card-main', children: [item.primary.type !== 'URL' && _jsx("div", { className: 'psdk-utility-card-main-primary-label', children: item.primary.name }), item.primary.type === 'URL' && (_jsx("div", { className: 'psdk-utility-card-main-primary-url', children: _jsxs("button", { type: 'button', className: 'psdk-link-button', children: [item.primary.name, "\u00A0", _jsx("img", { className: 'psdk-utility-card-actions-svg-icon', src: `${imagePath$}${item.primary.icon}.svg` })] }) })), item.secondary.text && _jsx("div", { style: { color: item.secondary.error ? 'red' : undefined }, children: item.secondary.text })] }), _jsxs("div", { className: 'psdk-utility-action', children: [menuIconOverride$ && (_jsx("button", { type: 'button', className: 'psdk-utility-button', "aria-label": 'Delete Attachment', onClick: removeAttachment, children: _jsx("img", { className: 'psdk-utility-card-action-svg-icon', src: menuIconOverride$ }) })), !menuIconOverride$ && (_jsxs("div", { children: [_jsx(IconButton, { id: 'setting-button', "aria-controls": open ? 'file-menu' : undefined, "aria-expanded": open ? 'true' : undefined, "aria-haspopup": 'true', onClick: handleClick, size: 'large', children: _jsx(MoreVertIcon, {}) }), _jsx(Menu, { style: { marginTop: '3rem' }, id: 'file-menu', anchorEl: anchorEl, keepMounted: true, open: Boolean(anchorEl), onClose: handleClose, children: item.actions &&
                                    item.actions.map(option => (_jsx(MenuItem, { style: { fontSize: '14px' }, onClick: option.onClick, children: option.text }, option.id || option.text))) })] }))] })] }));
}
//# sourceMappingURL=SummaryItem.js.map